name: muthsevshop/card
typeName: card
title: 'Card'
description: 'Eine generische Card um alles Mögliche darzustellen. Verlinkung möglich.'
group: teasers
prefixFields: false
security:
  ignoreWebMountRestriction: false
  ignoreRootLevelRestriction: false
  ignorePageTypeRestriction: false
internalDescription: false
basics:
  - TYPO3/Appearance
  - TYPO3/Links

fields:
  - identifier: header_link
    label: Verlinkung
    type: Link
    allowedTypes:
      - page

  - identifier: media
    label: 'Bild'
    type: File
    extendedPalette: true
    useExistingField: true
    maxitems: 1
    allowed: 'jpg,png,jpeg,webp'

  - identifier: header
    useExistingField: true
    label: Headline

  - identifier: bodytext
    useExistingField: true
    label: Text
    max: 250
